Get asset details
Returns the complete metadata and attributes of a specific asset.
Prerequisites
- Authentication and setup: A valid access token.
- List published assets in a hub: Get the asset ID to look up.
Endpoint
Section titled “Endpoint”POST /api/assethub/v1/asset/{asset_id}Base URL: the API3 REST host for your region. See Base URLs.
Headers: Authorization: Bearer ACCESS_TOKEN, Content-Type: application/json.
Path parameters
Section titled “Path parameters”| Parameter | Type | Description |
|---|---|---|
asset_id |
string | ID of the asset whose details you want. |
Request
Section titled “Request”No body or query parameters are required. Only a valid asset_id in the URL path.
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
id |
string | Asset unique identifier. |
latest_version |
int | Latest version of the asset. |
name |
string | Asset name. |
description |
string | Asset description. |
sharing_type |
string | Asset sharing type, external or internal. |
sharable_link |
string | Sharable internal link for users (reps) for the asset. |
last_updated_time |
string | Asset last updated time, epoch in seconds. |
expiry_time |
string | Asset expiration time, epoch in seconds. |
attributes.values |
array | List of attribute objects. |
attributes.values[].category_name |
string | Attribute category name. |
attributes.values[].attribute_id |
string | Attribute unique identifier. |
attributes.values[].attribute_name |
string | Attribute name. |
attributes.attributes_count |
int | Total number of attributes. |
Response example
Section titled “Response example”{ "id": "123456789012345101", "latest_version": 2, "name": "Platform overview", "description": "Test description", "sharing_type": "EXTERNAL", "sharable_link": "https://links.example.com/asset-001", "last_updated_time": "1750927934", "expiry_time": "1886337161", "attributes": { "attributes_count": 4, "values": [ { "category_name": "Category name 1", "attribute_id": "123456789012345102", "attribute_name": "7878" }, { "category_name": "Category name 2", "attribute_id": "123456789012345103", "attribute_name": "111111" }, { "category_name": "Category name 3", "attribute_id": "123456789012345104", "attribute_name": "09oiuhgfvc" }, { "category_name": "Category name 4", "attribute_id": "123456789012345105", "attribute_name": "Three" } ] }}- Validation: This endpoint performs strict validation. An invalid or malformed
asset_idreturns a404 Not Foundor400 Bad Requesterror.